@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/mixins";

$errorAnimationDuration: 8s;

.error-container {
    text-align: center;

    font-size: 5rem;
    font-weight: 800;
    margin: 2rem 2rem;

    @include mixins.respond-to(medium) {
        font-size: 11rem;
        font-weight: 800;
    }

    > span {
        display: inline-block;
        line-height: 0.7;
        position: relative;
        color: map.get(colors.$colors, button-hover);

        > span {
            display: inline-block;
            position: relative;
        }

        &:nth-of-type(1) {
            perspective: 1000px;
            perspective-origin: 500% 50%;

            > span {
                transform-origin: 50% 100% 0;
                animation: easyoutelastic $errorAnimationDuration infinite;
            }
        }

        &:nth-of-type(3) {
            perspective: none;
            perspective-origin: 50% 50%;

            > span {
                transform-origin: 100% 100% 0;
                transform: rotate(0deg);
                animation: rotatedrop $errorAnimationDuration infinite;
            }
        }
    }
}

@keyframes easyoutelastic {
    0%,
    80%,
    100% {
        transform: rotateX(0);
    }
    9% {
        transform: rotateX(210deg);
    }
    13% {
        transform: rotateX(150deg);
    }
    16% {
        transform: rotateX(200deg);
    }
    18%,
    20%,
    60% {
        transform: rotateX(180deg);
    }
}

@keyframes rotatedrop {
    0%,
    80%,
    100% {
        transform: rotate(0);
    }
    10% {
        transform: rotate(30deg);
    }
    15%,
    70% {
        transform: rotate(90deg);
    }
}
